org.hibernate.search.backend.jms.impl

## Class JndiJMSBackendQueueProcessor

- java.lang.Object
- - org.hibernate.search.backend.jms.impl.JmsBackendQueueProcessor
  - - org.hibernate.search.backend.jms.impl.JndiJMSBackendQueueProcessor

- All Implemented Interfaces:
    BackendQueueProcessor, BackendQueueProcessor.Transactional

      public class JndiJMSBackendQueueProcessor
      extends JmsBackendQueueProcessor

  JMSBackendQueueProcessor using JNDI to lookup the JMS components.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hibernate.search.backend.spi.BackendQueueProcessor

      `BackendQueueProcessor.Transactional`

  - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.backend.jms.impl.JmsBackendQueueProcessor

      `JMS_CONNECTION_FACTORY, JMS_CONNECTION_LOGIN, JMS_CONNECTION_PASSWORD, JMS_QUEUE, JNDI_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiJMSBackendQueueProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.jms.QueueConnection` | `initializeJMSConnection(javax.jms.QueueConnectionFactory factory, Properties properties)` Initialises the JMS QueueConnection to be used for sending Lucene work operations to the master node.
    `protected javax.jms.Queue` | `initializeJMSQueue(javax.jms.QueueConnectionFactory factory, Properties properties)` Initialises the JMS queue to be used for sending Lucene work operations to the master node.
    `protected javax.jms.QueueConnectionFactory` | `initializeJMSQueueConnectionFactory(Properties properties)` Initialises the JMS QueueConnectionFactory to be used for sending Lucene work operations to the master node.

    - ### Methods inherited from class org.hibernate.search.backend.jms.impl.JmsBackendQueueProcessor

      `applyStreamWork, applyWork, close, getIndexName, getJMSConnection, getJmsQueue, getJmsQueueName, getSearchIntegrator, getServiceManager, initialize, isTransactional, releaseJMSConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JndiJMSBackendQueueProcessor

          public JndiJMSBackendQueueProcessor()

  - ### Method Detail

    - #### initializeJMSQueueConnectionFactory

          protected javax.jms.QueueConnectionFactory initializeJMSQueueConnectionFactory(Properties properties)

      Description copied from class: `JmsBackendQueueProcessor`
      Initialises the JMS QueueConnectionFactory to be used for sending Lucene work operations to the master node.
      Specified by:
        `initializeJMSQueueConnectionFactory` in class `JmsBackendQueueProcessor`
      Parameters:
        `properties` - a `Properties` object.
      Returns:
        the initialized `QueueConnectionFactory`

    - #### initializeJMSQueue

          protected javax.jms.Queue initializeJMSQueue(javax.jms.QueueConnectionFactory factory,
                                                       Properties properties)

      Description copied from class: `JmsBackendQueueProcessor`
      Initialises the JMS queue to be used for sending Lucene work operations to the master node. Invoked after `JmsBackendQueueProcessor.initializeJMSQueueConnectionFactory(Properties)`
      Specified by:
        `initializeJMSQueue` in class `JmsBackendQueueProcessor`
      Parameters:
        `factory` - a `QueueConnectionFactory` object.
        `properties` - a `Properties` object.
      Returns:
        the initialized `Queue`

    - #### initializeJMSConnection

          protected javax.jms.QueueConnection initializeJMSConnection(javax.jms.QueueConnectionFactory factory,
                                                                      Properties properties)

      Description copied from class: `JmsBackendQueueProcessor`
      Initialises the JMS QueueConnection to be used for sending Lucene work operations to the master node. This is invoked after `JmsBackendQueueProcessor.initializeJMSQueue(QueueConnectionFactory, Properties)`.
      Specified by:
        `initializeJMSConnection` in class `JmsBackendQueueProcessor`
      Parameters:
        `factory` - a `QueueConnectionFactory` object.
        `properties` - a `Properties` object.
      Returns:
        the initialized `QueueConnection`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved